Bug 186004 - net/svnup bugs
Summary: net/svnup bugs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-22 16:00 UTC by titus m
Modified: 2014-02-25 02:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description titus m 2014-01-22 16:00:00 UTC
1. svnup  crashes with ssl protocol svn0.eu.FreeBSD.org
seems to be fine on us servers

2. svnup / http does not work thru / crashes transparent proxy (squid)
the problem seems to be caused of the chunked encoding re-served by squid
original content seems to always have chunks aligned to a newline boundary and the squid served one does not 
so the content may look like <taCHUNKSIZE\r\ng attrib="value">tag contents</tag>
this causes the parse_xml function to return null values (which are never checked)

How-To-Repeat: 1. connect via ssl to svn0.eu.FreeBSD.org on 10.0-RELEASE (bombs in SSL_connect)
2. use svnup via transparent squid (3.2.x tested) 
this probably bombs on any version 32/64 freebsd 8/9/10 etc
Comment 1 Edwin Groothuis freebsd_committer 2014-01-27 04:10:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

jgh@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-01-27 04:10:39 UTC
Maintainer of net/svnup,

Please note that PR ports/186004 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186004

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-01-27 04:10:40 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2014-02-25 02:40:55 UTC
Author: jgh
Date: Tue Feb 25 02:40:47 2014
New Revision: 345913
URL: http://svnweb.freebsd.org/changeset/ports/345913
QAT: https://qat.redports.org/buildarchive/r345913/

Log:
  - update to 1.03 [1]
  - while here update license
  
  PR:		186004
  Reported by:	titus@edc.ro
  Submitted by:	maintainer (jcm@visi.com) [1]

Modified:
  head/net/svnup/Makefile
  head/net/svnup/distinfo

Modified: head/net/svnup/Makefile
==============================================================================
--- head/net/svnup/Makefile	Tue Feb 25 01:43:56 2014	(r345912)
+++ head/net/svnup/Makefile	Tue Feb 25 02:40:47 2014	(r345913)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	svnup
-PORTVERSION=	1.02
+PORTVERSION=	1.03
 CATEGORIES=	net
 MASTER_SITES=	http://jcm.dsl.visi.com/freebsd/svnup/ \
 		LOCAL/jgh/net/${PORTNAME}/
@@ -9,7 +9,7 @@ MASTER_SITES=	http://jcm.dsl.visi.com/fr
 MAINTAINER=	jcm@visi.com
 COMMENT=	Lightweight program to pull source from an Apache Subversion server
 
-LICENSE=	BSD
+LICENSE=	BSD2CLAUSE
 
 LDFLAGS+=	-lmd -lssl
 USE_XZ=	yes

Modified: head/net/svnup/distinfo
==============================================================================
--- head/net/svnup/distinfo	Tue Feb 25 01:43:56 2014	(r345912)
+++ head/net/svnup/distinfo	Tue Feb 25 02:40:47 2014	(r345913)
@@ -1,2 +1,2 @@
-SHA256 (svnup-1.02.tar.xz) = 6726f7e8bed256734bc1577d7d1ffbdf3d2584b1f8df7047d5014b2be8df90e5
-SIZE (svnup-1.02.tar.xz) = 18704
+SHA256 (svnup-1.03.tar.xz) = ec7ff37603f9b93468afba5f5e6b3ec8bc5d74db09babe5f33d6bf8a4637809a
+SIZE (svnup-1.03.tar.xz) = 18828
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Jason Helfman freebsd_committer 2014-02-25 02:41:39 UTC
State Changed
From-To: feedback->closed

Committed in r345913. Thanks! Proxy support is on the maintainers todo 
list. Thanks for the  report!